Debian Bug report logs - #591194
missing source code for two .swf files

version graph

Package: tdiary-contrib; Maintainer for tdiary-contrib is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for tdiary-contrib is src:tdiary-contrib.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Sun, 1 Aug 2010 04:15:05 UTC

Severity: serious

Found in version tdiary/2.2.1-1.1

Fixed in version tdiary/2.2.1+dfsg1-1

Done: Daigo Moriwaki <daigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package src:tdiary. (Sun, 01 Aug 2010 04:15:07 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: tdiary: does not build .swf files from source
Date: Sat, 31 Jul 2010 23:56:41 -0400
Source: tdiary
Version: 2.2.1-1.1
Severity: serious

Hi,

tdiary ships multiple .swf files that are not built from source (which 
apparently doesn't ship either.)

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package src:tdiary. (Thu, 05 Aug 2010 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Thu, 05 Aug 2010 10:48:05 GMT) Full text and rfc822 format available.

Message #8 received at 591194@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 591197@bugs.debian.org, 591193@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: about not building swf files from source
Date: Thu, 5 Aug 2010 12:46:43 +0200
	Hi!

 The initial message about this issue was pretty terse and I hope to
offer additional information to you through this message.

 The issue your package is facing might be divided into two groups:
Packages that have the source to the .swf file available (like in .fla
or .as form from what I understood) and packages that don't.

 For those with the source included the package is facing to be
potential moved from main to contrib. This is because packages in main
are required to only need tools that are available in main to produce
their binaries from their sources, and there unfortunately aren't such
tools in main (yet, TTBOMK). So moving them to contrib is an option to
them for keeping them as they are.

 For those without source included they have to go either to non-free
(if their license allows binary distribution without source) or they
have to get removed from the pool in case they are licensed under
something like GPL or similar which requires the source to be available,
too.

 One option available to both groups of packages is of course to remove
the flash files all together, if that's an option for your package.

 Hope this helps you for your decision on how to move on. Thanks for
your support and effort for Debian in any case!

 Enjoy!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package src:tdiary. (Thu, 05 Aug 2010 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Thu, 05 Aug 2010 12:18:05 GMT) Full text and rfc822 format available.

Message #13 received at 591194@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, 591193@bugs.debian.org
Cc: 591197@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: Re: Bug#591193: about not building swf files from source
Date: Thu, 5 Aug 2010 14:16:01 +0200
Hi!

* Gerfried Fuchs <rhonda@debian.at> [100805 12:46]:

> This is because packages in main are required to only need tools that
> are available in main to produce their binaries from their sources,
> and there unfortunately aren't such tools in main (yet, TTBOMK).

Citing from then #debian-ftp channel:

04:17:49 < raphael> dear ftp-masters, could you please make sure that NEW
      packages do _build_ the .swf files during the build process if they
      ship any? TIA
04:21:14 < Ganneff> would there be an easy way to check it?
04:24:59 < raphael> if they b-depend on haxe, mtasc, or swftools (if it
      gets uploaded again) they probably do
04:25:43 < dondelelcaro> probably can be a lintian check

So there seems to be three tools available.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package src:tdiary. (Sun, 24 Oct 2010 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sun, 24 Oct 2010 00:03:04 GMT) Full text and rfc822 format available.

Message #18 received at 591194@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 591194@bugs.debian.org
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sun, 24 Oct 2010 01:00:44 +0100
On Sat, 31 Jul 2010 at 23:56:41 -0400, Raphael Geissert wrote:
> tdiary ships multiple .swf files that are not built from source (which 
> apparently doesn't ship either.)

Specifically, it includes .swf files in:

- contrib2/plugin/tdiarygraph/
- contrib2/plugin/tdiarytimes/

They're shipped in tdiary-contrib. Removing that plugin would require a
sourceful upload, but tdiary-contrib would still presumably be useful for
other plugins.

There might possibly be source code in the new upstream version 3.0.1; on
the other hand, contrib appears to have been split out completely in that
version (I think - I can't read Japanese).

    S




Changed Bug title to 'missing source code for two .swf files' from 'tdiary: does not build .swf files from source' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 10:57:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:tdiary' to 'tdiary-contrib'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 10:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions tdiary/2.2.1-1.1. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 10:57:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions tdiary/2.2.1-1.1. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 10:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Mon, 01 Nov 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to d+deb@vdr.jp:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Mon, 01 Nov 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #31 received at 591194@bugs.debian.org (full text, mbox):

From: d+deb@vdr.jp
To: 591194@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Mon, 1 Nov 2010 21:23:25 +0900
[Message part 1 (text/plain, inline)]
Hi,

> Specifically, it includes .swf files in:
> 
> - contrib2/plugin/tdiarygraph/
> - contrib2/plugin/tdiarytimes/
> 
> They're shipped in tdiary-contrib. Removing that plugin would require a
> sourceful upload, but tdiary-contrib would still presumably be useful for
> other plugins.

It is maintainer's post and upstream's reply (in Japanese).

http://www.tdiary.org/ml/devel.rb?key=/mailarchive/message.php%3Fmsg_name%3D4C5AD045.8010003%2540sgtpepper.net

Upstream says,

- tdiarygraph and tdiarytimes do not have source, maybe.
- it is "contrib", so needless to ship all files.
- they are not used widely now, so never mind to remove them.

I agree upstream.

> There might possibly be source code in the new upstream version 3.0.1; on
> the other hand, contrib appears to have been split out completely in that
> version (I think - I can't read Japanese).

contrib source is splitted out originally, if I remember rightly.
-- 
Regards,
	dai

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sat, 13 Nov 2010 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sat, 13 Nov 2010 18:21:03 GMT) Full text and rfc822 format available.

Message #36 received at 591194@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: d+deb@vdr.jp, 591194@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sat, 13 Nov 2010 18:16:07 +0000
Hello,

On Mon, Nov 01, 2010 at 09:23:25PM +0900, d+deb@vdr.jp wrote:

> It is maintainer's post and upstream's reply (in Japanese).
> 
> http://www.tdiary.org/ml/devel.rb?key=/mailarchive/message.php%3Fmsg_name%3D4C5AD045.8010003%2540sgtpepper.net
> 
> Upstream says,
> 
> - tdiarygraph and tdiarytimes do not have source, maybe.
> - it is "contrib", so needless to ship all files.
> - they are not used widely now, so never mind to remove them.

So, basically, here we have a package in "main" testing/unstable with flash files without sources.

The package cannot be released with squeeze as it is now, so I'll try to list some options:

  1. Remove package from Squeeze (leaving it in unstable) and think about it for the next release
  2. Move the package to non-free
  3. Find the sources and build flash files from source.
  4. Completely remove package from Debian.

Option 4 is probably the best answer for the long term if there is no effort in fixing this issue.

Best regards,
  -- Héctor Orón




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sat, 13 Nov 2010 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sat, 13 Nov 2010 22:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 591194@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: d+deb@vdr.jp, 591194@bugs.debian.org
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sat, 13 Nov 2010 22:02:16 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Sat, 13 Nov 2010 at 18:16:07 +0000, Hector Oron wrote:
> The package cannot be released with squeeze as it is now, so I'll try to list some options:
> 
>   1. Remove package from Squeeze (leaving it in unstable) and think about it for the next release
>   2. Move the package to non-free
>   3. Find the sources and build flash files from source.
>   4. Completely remove package from Debian.

5. repack the tarball as tdiary_2.2.1+dfsg1.orig.tar.gz (or similar), removing
the two sourceless flash files; fix tdiary-contrib so it still builds, with
the two plugins that need those flash files removed.

I'm not going to do option 5 myself because I have no idea how to test tdiary,
but that seems like the only way we're likely to keep it in Squeeze.
Since tdiary is a leaf package with a lowish popcon score, I'm inclined to
ask the release team to drop tdiary from squeeze (i.e. option 1) if there isn't any progress on this.

Regards,
    Simon
-----BEGIN PGP SIGNATURE-----

iQIVAwUBTN8K4U3o/ypjx8yQAQiljg/8DIOcnvFjA0KL6MWo9GuQkPeXhNxkL6Oc
CMgzF3LlUDSndgmrxldxfaa7WS5zgtQOhYzDP1HxgBUX7aSWGNKSOLSxhsTUaNv+
yAL62yfeNHoNq81O9Vy4UgnyUCT3tBkjnOa7MZgaYXIQeqeNvzUlMFmO/AmMnFdv
LtSRpjz4WmuKdEQ7iiLZqaKLB3LskEEkxH+5h0AjAEMc6i96NZwmc6p3dryxUCJ1
nBMnVON0FQtiDuzELnpg0cXWCBCM5ViOdJP0yzvwxFrHmVTTd1hnCf8cVWuQyUcB
DxCM3aq/T1/7D+BipLpjFrUQADIU14OeqxUJZn02u/007vNrcedL8S9eYXHfSv0g
FffZdOaYxV6svQBmuQ8b01ACA8Vwi15kvS0JZ3IwhW9+wmCD6LzB8P6CggmyXHd2
FutA7Pt1Z5p6kt7eI8Hm8Cj5ud1wEEizWpCD0c9OwUbAOhX8+QzEaHGlZqRfo0y7
CgEET8f7PWWcS+zlreyZSNdaeaMRm5CAy4mF4KcDoP83QUTHtm+UoeeWf6KV+tdd
RvfFBGVdl0d4OmorDAOu7kjr98re2n/XttdZt+aK+VCXOwSkWFSUByjE3QZTP8a7
mIFhw1Fxj2ON8rCOpQrIUvPijMh2y0xDyGhce1gTj3EJbOCCMp1ma7H4gtS0hdmc
BFqBLXltRBE=
=laBL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sun, 14 Nov 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to d+deb@vdr.jp:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sun, 14 Nov 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #46 received at 591194@bugs.debian.org (full text, mbox):

From: d+deb@vdr.jp
To: Simon McVittie <smcv@debian.org>
Cc: Hector Oron <hector.oron@gmail.com>, 591194@bugs.debian.org
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sun, 14 Nov 2010 18:07:37 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Sat, Nov 13, 2010 at 10:02:16PM +0000, Simon McVittie wrote:
> > The package cannot be released with squeeze as it is now, so I'll try to list some options:
> > 
> >   1. Remove package from Squeeze (leaving it in unstable) and think about it for the next release
> >   2. Move the package to non-free
> >   3. Find the sources and build flash files from source.
> >   4. Completely remove package from Debian.
> 
> 5. repack the tarball as tdiary_2.2.1+dfsg1.orig.tar.gz (or similar), removing
> the two sourceless flash files; fix tdiary-contrib so it still builds, with
> the two plugins that need those flash files removed.

Here is option 5 approach.

- Removing tdiary-2.2.1/contrib2/plugin/tdiarygraph/ and
  tdiary-2.2.1/contrib2/plugin/tdiarytimes/ directories.
  The two plugins need flash files. Without flash files,
  they are quite useless. So, we need to remove the two
  plugins completely. Upstream agrees with this approach.

- Removing tdiarygraph and tdiarytimes from debian/tdiary.copyright.

% pwd
/usr/src/tdiary/tdiary-2.2.1+dfsg1
% find -name '*swf'
%
% find -name '*tdiarygraph*'
% find -name '*tdiarytimes*'
%
% grep -ir tdiarygraph *
% grep -ir tdiarytimes *
%

That's all.  Patch attached.
-- 
Regards,
	dai

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E
[tdiary-591194.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sun, 14 Nov 2010 10:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sun, 14 Nov 2010 10:27:02 GMT) Full text and rfc822 format available.

Message #51 received at 591194@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 591194@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, Hector Oron <hector.oron@gmail.com>, d+deb@vdr.jp
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sun, 14 Nov 2010 19:24:43 +0900
Hi,

> I'm not going to do option 5 myself because I have no idea how to test tdiary,
> but that seems like the only way we're likely to keep it in Squeeze.
> Since tdiary is a leaf package with a lowish popcon score, I'm inclined to
> ask the release team to drop tdiary from squeeze (i.e. option 1) if there isn't any progress on this.

 I'm one of the users of tdiary :)
 # and had worked for DSA for this package
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572417


 Those swf files are not main component for tdiary, but just an addon,
 so option 5 approach is kind for us (me, upstream authors and other users).

 And surely I can test it (roughly, though).
 Dai, could you upload updated one to mentors or attache debdiff for it?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sun, 14 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to d+deb@vdr.jp:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sun, 14 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 591194@bugs.debian.org (full text, mbox):

From: d+deb@vdr.jp
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 591194@bugs.debian.org, Simon McVittie <smcv@debian.org>, Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sun, 14 Nov 2010 20:41:01 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Sun, Nov 14, 2010 at 07:24:43PM +0900, Hideki Yamane wrote:
> > I'm not going to do option 5 myself because I have no idea how to test tdiary,
> > but that seems like the only way we're likely to keep it in Squeeze.
> > Since tdiary is a leaf package with a lowish popcon score, I'm inclined to
> > ask the release team to drop tdiary from squeeze (i.e. option 1) if there isn't any progress on this.

>  Those swf files are not main component for tdiary, but just an addon,
>  so option 5 approach is kind for us (me, upstream authors and other users).
> 
>  And surely I can test it (roughly, though).
>  Dai, could you upload updated one to mentors or attache debdiff for it?

uploaded to mentors.

- URL: http://mentors.debian.net/debian/pool/main/t/tdiary
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/t/tdiary/tdiary_2.2.1+dfsg1-0.1.dsc

I repackaged source tarball and modified debian/tdiary.copyright and
debian/changelog.  Would you please check and modify to suitable
for official?
-- 
Regards,
	dai

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#591194; Package tdiary-contrib. (Sun, 14 Nov 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to beatles@sgtpepper.net:
Extra info received and forwarded to list. Copy sent to Daigo Moriwaki <daigo@debian.org>. (Sun, 14 Nov 2010 13:03:04 GMT) Full text and rfc822 format available.

Message #61 received at 591194@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <moriwaky@gmail.com>
To: d+deb@vdr.jp, 591194@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Simon McVittie <smcv@debian.org>, Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#591194: tdiary: does not build .swf files from source
Date: Sun, 14 Nov 2010 21:59:50 +0900
Dai, Hideki,

2010/11/14  <d+deb@vdr.jp>:
> On Sun, Nov 14, 2010 at 07:24:43PM +0900, Hideki Yamane wrote:
>> > I'm not going to do option 5 myself because I have no idea how to test tdiary,
>> > but that seems like the only way we're likely to keep it in Squeeze.
>> > Since tdiary is a leaf package with a lowish popcon score, I'm inclined to
>> > ask the release team to drop tdiary from squeeze (i.e. option 1) if there isn't any progress on this.
>
>>  Those swf files are not main component for tdiary, but just an addon,
>>  so option 5 approach is kind for us (me, upstream authors and other users).
>>
>>  And surely I can test it (roughly, though).
>>  Dai, could you upload updated one to mentors or attache debdiff for it?
>
> uploaded to mentors.
>
> - URL: http://mentors.debian.net/debian/pool/main/t/tdiary
> - Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
> - dget http://mentors.debian.net/debian/pool/main/t/tdiary/tdiary_2.2.1+dfsg1-0.1.dsc
>
> I repackaged source tarball and modified debian/tdiary.copyright and
> debian/changelog.  Would you please check and modify to suitable
> for official?

Thank you for the preparation and sorry for my too late reply.

I will be able to take time tomorrow.
I will check and upload the package.

Regards,
Daigo

-- 
Daigo Moriwaki
beatles at sgtpepper dot net




Reply sent to Daigo Moriwaki <daigo@debian.org>:
You have taken responsibility. (Mon, 15 Nov 2010 12:21:04 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Mon, 15 Nov 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #66 received at 591194-close@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <daigo@debian.org>
To: 591194-close@bugs.debian.org
Subject: Bug#591194: fixed in tdiary 2.2.1+dfsg1-1
Date: Mon, 15 Nov 2010 12:17:51 +0000
Source: tdiary
Source-Version: 2.2.1+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
tdiary, which is due to be installed in the Debian FTP archive:

tdiary-contrib_2.2.1+dfsg1-1_all.deb
  to main/t/tdiary/tdiary-contrib_2.2.1+dfsg1-1_all.deb
tdiary-mode_2.2.1+dfsg1-1_all.deb
  to main/t/tdiary/tdiary-mode_2.2.1+dfsg1-1_all.deb
tdiary-plugin_2.2.1+dfsg1-1_all.deb
  to main/t/tdiary/tdiary-plugin_2.2.1+dfsg1-1_all.deb
tdiary-theme_2.2.1+dfsg1-1_all.deb
  to main/t/tdiary/tdiary-theme_2.2.1+dfsg1-1_all.deb
tdiary_2.2.1+dfsg1-1.diff.gz
  to main/t/tdiary/tdiary_2.2.1+dfsg1-1.diff.gz
tdiary_2.2.1+dfsg1-1.dsc
  to main/t/tdiary/tdiary_2.2.1+dfsg1-1.dsc
tdiary_2.2.1+dfsg1-1_all.deb
  to main/t/tdiary/tdiary_2.2.1+dfsg1-1_all.deb
tdiary_2.2.1+dfsg1.orig.tar.gz
  to main/t/tdiary/tdiary_2.2.1+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591194@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daigo Moriwaki <daigo@debian.org> (supplier of updated tdiary package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Nov 2010 12:39:26 +0900
Source: tdiary
Binary: tdiary tdiary-theme tdiary-plugin tdiary-mode tdiary-contrib
Architecture: source all
Version: 2.2.1+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Daigo Moriwaki <daigo@debian.org>
Changed-By: Daigo Moriwaki <daigo@debian.org>
Description: 
 tdiary     - a communication-friendly weblog system
 tdiary-contrib - Plugins of tDiary to add functionalities
 tdiary-mode - tDiary editing mode for Emacsen
 tdiary-plugin - Plugins of tDiary to add functionalities
 tdiary-theme - Themes of tDiary to change the design
Closes: 591194
Changes: 
 tdiary (2.2.1+dfsg1-1) unstable; urgency=low
 .
   * Repackage without sourceless plugins: tdiarygraph and tdiarytimes.
     Removing them is agreement with the upstream author. (Closes: #591194)
     Thanks to HIGUCHI Daisuke (VDR dai) for the patch.
Checksums-Sha1: 
 c822d554357373bdf95fe25448739eccb36d7627 1097 tdiary_2.2.1+dfsg1-1.dsc
 499990c610b2b9119421aa82f3ceeb686f3462e7 4158043 tdiary_2.2.1+dfsg1.orig.tar.gz
 955ca9a59c148c6efe471bf321002b9533ad8854 32131 tdiary_2.2.1+dfsg1-1.diff.gz
 c82dc50e8bf3a76af3aef2965b247f9606ae84ae 195966 tdiary_2.2.1+dfsg1-1_all.deb
 d99a521e02cbcec88b920750d48ae857120a4778 3680612 tdiary-theme_2.2.1+dfsg1-1_all.deb
 941aeae1165ca58c558452e10b64542be58daff6 267342 tdiary-plugin_2.2.1+dfsg1-1_all.deb
 ab43a1b0045ae283ab0482c8d4aea26218204303 36634 tdiary-mode_2.2.1+dfsg1-1_all.deb
 9bdf5acbda65e5ae6ee8fecf485e7f2a5f91b2b6 159910 tdiary-contrib_2.2.1+dfsg1-1_all.deb
Checksums-Sha256: 
 03463e430546f73ad895ebc01d022e7f0106309a9e053a6bc4ff2faf24a75fab 1097 tdiary_2.2.1+dfsg1-1.dsc
 958953a3a9a2c3c8c3db4ab5ead864ac9572564bd1518892dd0abe639b4d19e7 4158043 tdiary_2.2.1+dfsg1.orig.tar.gz
 57db31b01994202e568dc457a70cb9857f12b0f75e104187d1985fd22da6febc 32131 tdiary_2.2.1+dfsg1-1.diff.gz
 bc213144fedcbceb9bf91a35394b0d4d10f9024f8b6e08f6f5b39a3300a77512 195966 tdiary_2.2.1+dfsg1-1_all.deb
 3a4e0287e2e6b5a8a2126c0846de0fbb6f9b1d725c6bfc5d88c6993b36103b73 3680612 tdiary-theme_2.2.1+dfsg1-1_all.deb
 e66cc419a6fc9be6e899c67047a149a5c5cde7992dc8c9df4ba9b27778b81b9b 267342 tdiary-plugin_2.2.1+dfsg1-1_all.deb
 f689f235fc5bfb7c8b13f41173719859859cc10b9d246366477c815e3b12e7e5 36634 tdiary-mode_2.2.1+dfsg1-1_all.deb
 20668ee24f61a83a1632b2f08af08ab7135140971f55feceb03c72eb61d74ece 159910 tdiary-contrib_2.2.1+dfsg1-1_all.deb
Files: 
 2b0fd55e36f496251aaa3148309398f8 1097 web optional tdiary_2.2.1+dfsg1-1.dsc
 879609d7ae3bcf6d8798b9e1e9ce7aec 4158043 web optional tdiary_2.2.1+dfsg1.orig.tar.gz
 c7329034c57217e4f240b7892c767e10 32131 web optional tdiary_2.2.1+dfsg1-1.diff.gz
 07eade954f24228e0b7413db415ec895 195966 web optional tdiary_2.2.1+dfsg1-1_all.deb
 dab75c0370a8bf2f3ea77356b432961c 3680612 web optional tdiary-theme_2.2.1+dfsg1-1_all.deb
 178e59abdbf9c86120bb3061987f1104 267342 web optional tdiary-plugin_2.2.1+dfsg1-1_all.deb
 ce3637b101012c6e7d96f790ec7812fc 36634 web optional tdiary-mode_2.2.1+dfsg1-1_all.deb
 062b998458b8a5f4feaed0e2485c3964 159910 web optional tdiary-contrib_2.2.1+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzhH88ACgkQNcPj+ukc0lCdkACgx8EmBFNCXN7E+jYR6eEtjIOi
/kgAniBTDSG4Xe5h2MTlKAxuiLylVU9y
=zvrE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591194; Package tdiary-contrib. (Mon, 15 Nov 2010 12:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daigo Moriwaki <daigo@debian.org>:
Extra info received and forwarded to list. (Mon, 15 Nov 2010 12:39:07 GMT) Full text and rfc822 format available.

Message #71 received at 591194@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <daigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: 591194@bugs.debian.org
Subject: Please unblock package tdiary
Date: Mon, 15 Nov 2010 21:15:11 +0900
Subject: unblock: tdiary/None
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: freeze-exception
Severity: normal

Please unblock package tdiary.

tdiary_2.2.1+dfsg1-1 has fixed a RC Bug#591194: tdiary: does not build .swf
files from source. It requires a source-full upload without any functional
changes.

tdiary (2.2.1+dfsg1-1) unstable; urgency=low

  * Repackage without sourceless plugins: tdiarygraph and tdiarytimes.
    Removing them is agreement with the upstream author. (Closes: #591194)
    Thanks to HIGUCHI Daisuke (VDR dai) for the patch.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 15 Nov 2010 12:39:26 +0900

unblock tdiary/None

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (90, 'unstable'), (1,
'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)
Shell: /bin/sh linked to /bin/bash

-- 
Daigo Moriwaki
daigo at debian dot org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Dec 2010 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:14:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.